<?php
$config = array();
$config['db']['host'] = 'localhost';
$config['db']['user'] = 'root';
$config['db']['password'] = '';
$config['db']['database'] = 'dbname';
$config['db']['table_paypal_history'] = 'paypal_history'; 

// What's the name of this company in Tally?
$config['tally']['companyName'] = 'Test Company';
$config['tally']['startingVoucherID'] = 100;

// Your Paypal Email Addresses
$config['paypal']['emails'] = array( 'youraccount@yourdomain.com', 'anotherpaypal@account.com' );

// Put currency conversion rates here
$currencyRates = array();
$currencyRates['USD']['20090801'] = 46.595;
$currencyRates['USD']['20090901'] = 47.112;
$currencyRates['USD']['20091001'] = 46.488;
$currencyRates['USD']['20091101'] = 44.508;
$currencyRates['USD']['20091201'] = 45.495;
$currencyRates['USD']['20100101'] = 44.421;
$currencyRates['USD']['20100201'] = 44.251;
$currencyRates['USD']['20100301'] = 44.099;

function convertCurrency($amount, $dateString, $currency = 'USD')
{
	GLOBAL $currencyRates;
	// If we don't understand this currency, return it as it is
	if (!array_key_exists($currency, $currencyRates))
	{
		return $amount;
	}
	// If we have don't yet have conversion for this date, create it 
	if (!array_key_exists($dateString, $currencyRates[$currency]))
	{
		foreach ($currencyRates[$currency] as $date=>$rate)
		{
			if ($dateString <= $date)
			{
				break;
			}
		}
		$currencyRates[$currency][$dateString] = $rate;	
	}
	if ($currencyRates[$currency][$dateString] > 0)
	{
		// Return the converted amount
		return round($amount * $currencyRates[$currency][$dateString], 2);
	}
	return $amount;
}

function stripInvalid(&$text)
{
	// Remove all non ASCII printable characters
	$text = preg_replace('/[^\x{20}-\x{7E}]/', ' ', $text); // ASCII control characters
	return $text;
}
?>